Loading...
Searching...
No Matches
Catch::GeneratorException Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::GeneratorException:
[legend]
Collaboration diagram for Catch::GeneratorException:
[legend]

## Public Member Functions

| GeneratorException (const char *msg)
const char * | what () const noexcept override final

## Private Attributes

const char *const | m_msg = ""

## Constructor & Destructor Documentation

## GeneratorException()

Catch::GeneratorException::GeneratorException | ( | const char * | msg | ) |

inline

## Member Function Documentation

## what()

const char * Catch::GeneratorException::what | ( |  | ) | const

finaloverridenoexcept

## Member Data Documentation

## m_msg

const char* const Catch::GeneratorException::m_msg = ""

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp